<?
// ------------------------------------------------------------------------- //
// PHP UPLOAD TO MY FTP 1.4                                                  //
// ------------------------------------------------------------------------- //
// Copyright (C) 2002 Matthias ETIENNE <matt@php-test.com>                   //
// ------------------------------------------------------------------------- //
//  http://phpuptomyftp.sourceforge.net                                      //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //


/**
 * Fonction inscrivant les visiteurs dans un fichier log (logs/visitors) 
 */
function logVisiteur()
{
	global $HTTP_REFERER;
	global $REMOTE_ADDR;
	$time = date("j/m/y - H:i", time()); 
   $fp = @fopen("logs/visitors.log", "a+");
	if($fp){
		if(empty($HTTP_REFERER)) $referer = "---  No Referer  ---";
		else $referer = $HTTP_REFERER;
		fputs($fp, "$time | $REMOTE_ADDR | $referer\n");
		fclose($fp);
	}
} // end func

/**
 * Fonction inscrivant les uploads dans un fichier log (logs/uploads) 
 */

function logUpload()
{
	global $REMOTE_ADDR;
	global $fichier_name;
   global $login;
	global $dossier_destination;
	
   if(empty($login)) $login_log="NO LOGIN";
	else $login_log = $login;

	$time = date("j/m/y - H:i", time()); 
   $fp = @fopen("logs/uploads.log", "a+");
	if($fp){
		fputs($fp, "$time | $REMOTE_ADDR | $fichier_name | $login_log | $dossier_destination\r\n");
		fclose($fp);
	}
} 

/**
 * Fonction inscrivant les erreurs dans un fichier log (logs/errors) 
 */
function logError($error)
{
	global $REMOTE_ADDR;
	global $fichier_name;
   global $login;
	
   if(empty($login)) $login_log="NO LOGIN";
	else $login_log = $login;

	$time = date("j/m/y - H:i", time()); 
   $fp = @fopen("logs/errors.log", "a+");
	if($fp){
		fputs($fp, "$time | $error | $REMOTE_ADDR | $fichier_name | $login_log\n");
		fclose($fp);
	}
} // end func

/**
 * Fonction faisant un "retour" en html 
 */

function makeReturn()
{
	global $strReturn, $strCloseWindow;
echo "<center><a href='javascript:history.back()'>".$strReturn."</a> | <a href='javascript:window.close()'>".$strCloseWindow."</a></center>";
}

/**
 * Signature de l'application 
 */
function SignMTA()
{
	global $afficheLogo;
	if($afficheLogo==1) $strLogo = "<img src='img/powered2.gif' border='0'><br>";
	else $strLogo = "";
	
	echo "<p align='center'><a href='http://matt.phptest.free.fr/php_upload_to_my_ftp/'
   target='_blank'>".$strLogo."<font size='1'>Powered by<br>PHP Upload To my FTP</font></a></p>";
}

/**
 * Fonction de fermeture de l'application
 * Function that close the application
 */
function CloseUpload(){

	global $closeApp;
	global $optionClosed;
	global $redirectionPage;
	global $messageIfClosed;

   if($closeApp==0){
		if($optionClosed=="redirect"){
			header("Location:$redirectionPage");
         exit;
		}elseif($optionClosed=="message"){
			echo $messageIfClosed;
         exit;
      }
   }
}


/**
 * Fonction d'authentification
 * Authentification function 
 */
function AuthentificationUser($login, $pass, $user){
	
	global $strBadLogin;

	$identok = false;
	$motif = $login."|".$pass;
	if(in_array($motif, $user)) $identok = true;
	
	if($identok==false){
		echo $strBadLogin;
		logError("Bad Login or Pass ($login - $pass) ");
	   makeReturn();
		signMTA();
      exit;
   }
}


/**
 * Fonction de verification du fichier
 * File chackinf function 
 */
function FileChecking($fichier_name, $fichier_size){

	global $strErrorExtension;
	global $strErrorFilesize;
	global $taille_max;
	global $fileExtensionsAllowed;

   ereg("\.([^\.]*$)", $fichier_name, $elts);
   $extension_fichier=$elts[1];

   if(!in_array($extension_fichier, $fileExtensionsAllowed)){
	
	   foreach($fileExtensionsAllowed as $ext){
	       $str_ext .= ".$ext ";
      }

	   echo $strErrorExtension." ".$str_ext."<br><br>";
      logError("Bad File extension ($extension_fichier) ");
      makeReturn();
      signMTA();
      exit;
   }

   if($fichier_size > $taille_max){
	   echo $strErrorFilesize."<br><br>";
	   logError("File Size ($fichier_size) ");
      makeReturn();
      signMTA();
      exit;
   }
}



/**
 * Display the login form
 * Affiche le formulaire d'authentification
 */
function DisplayLoginForm()
{
	global $strPassword;
    
   echo "<tr><td width='100%'><font face='Arial' size='2'>";
   echo "Login :</font></td><td width='237'><input type='text' name='login' class='Forms'></td></tr>";
   echo "<tr><td width='100%'><font face='Arial' size='2'>".$strPassword." ";
   echo ":</font></td><td width='237'><input type='password' name='pass' class='Forms'></td></tr>";
}


/**
 * Display the directory selection  form
 */
function DisplayDirSelect(){
    
   global $strDestDirectory;
	global $ftp_rep_choix;
    
	echo "<tr><td width='33%'><font face='Arial' size='2'>";
   echo $strDestDirectory." :</td><td width='67%'>";
   echo "<select name='destination' size='1' class='Forms'>";

   foreach($ftp_rep_choix as $value){
		echo "<option value='$value'>$value</option>";
   }

   echo "</select></td></tr>";
}

/**
 * Display the end of the form
 */
function DisplayEndForm(){

   global $strFileToUp;
	global $strWait;
  
   echo "<tr><td width='103'><font size='2' face='Arial'>";
   echo $strFileToUp."</font></td><td width='100%'><input name='fichier' type='FILE' class='Forms'>";
   echo "</td></tr><tr><td width='100%' colspan='2'><p align='center'>";
   echo "<INPUT TYPE='SUBMIT' VALUE='Upload' class='Forms' Onclick=\"this.value='".$strWait."'\">";
   echo "</p></td></tr></table><input type='HIDDEN' name='a' value='upload'></FORM>";
}

/**
 * Display the begining of the form
 */
function DisplayBeginningForm(){

	global $strUploadAFile;

   echo "<FORM ENCTYPE='multipart/form-data' METHOD='POST' ACTION='index.php'>";
   echo "<table class='Tableau' border='0' align='center' width='45%' cellpadding='0' callspacing='0'><tr>";
   echo "<td width='100%' height='26' colspan='2'><p align='center'>";
   echo "<font size='3'><b>".$strUploadAFile."</b></font></p></td></tr>";
}

/**
 * Function that rename the uploaded file
 */
function RenameFile($fichier_name){

	global $renamed;

   $chaine_type = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
   srand((double)microtime()*1000000);
	$code = '';
   for($i=0; $i<5; $i++)
   {
   // on gnre un code de 8 caractres alatoirement
   $code.= $chaine_type[rand()%strlen($chaine_type)];
   }
	$newFileName = $code.$fichier_name;
	$renamed = true;
	return $newFileName;
}

/**
 * Function that verify you have the FTP extensions for PHP loaded
 */
function DetectFtpExtension(){
   $extensions = get_loaded_extensions();
   if(!in_array("ftp", $extensions)) return false;
	else return true;
}
?>