<?
// ------------------------------------------------------------------------- //
// PHP UPLOAD TO MY FTP 1.4                                                  //
// ------------------------------------------------------------------------- //
// Copyright (C) 2002 Matthias ETIENNE <matt@php-test.com>                   //
// ------------------------------------------------------------------------- //
//  http://matt.phptest.free.fr/php_upload_to_my_ftp                         //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //


/**
 * affiche les erreurs
 *
 */
function afficheErrors()
{
    global $strStatsErrors;
	 global $strErrors;
	 global $strStatErrorUpload;
	 global $strStatErrorLogin;
	 global $strStatErrorExt;
	 global $strStatErrorConnect;
	 global $strStatErrorFileSize;
	 global $strStatErrorChDir;
	 global $strFile;

    if(!file_exists("../logs/errors.log")){
		 echo "No errors log (errors.log)";
		 exit;
	 }

        $aff="<table width='100%' border='0' style='font-size:10pt' bgcolor='#2E3577'>";
	     $aff.= "<tr>";
		  $aff.= "<td width='20%'><b>Date</B></td>";
		  $aff.= "<td width='30%'><b>$strErrors</b></td>";
		  $aff.= "<td width='20%'><b>IP</b></td>";
		  $aff.= "<td width='20%'><b>$strFile</b></td>";
		  $aff.= "<td width='10%'><b>Login</b></td>";
		  $aff.= "</tr>";

	 $fp = fopen("../logs/errors.log", "r");
	 
	 $nbErrors = 0;

	 $errorsLogin = 0;
	 $errorsExt = 0;
	 $errorsSize = 0;
	 $errorsUpload = 0;
	 $errorsConnect = 0;
	 $errorsChangeDir = 0;

	 while($arr = fgetcsv($fp, 255, "|")){

       if($nbErrors%2) $bgcolor="#2E3577"; 
		 else $bgcolor="#535997";

		 $aff.="<tr>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[0]</td>";
		 $aff.="<td width='30%' bgcolor='".$bgcolor."'>$arr[1]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[2]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[3]</td>";
		 $aff.="<td width='10%' bgcolor='".$bgcolor."'>$arr[4]</td>";
		 $aff.="</tr>";

		 ++$nbErrors;
		 
		 $errStr=substr($arr[1], 0, 9);
		 
		     if($errStr=="Bad Login") ++$errorsLogin;
		 elseif($errStr=="Bad File ") ++$errorsExt;
       elseif($errStr=="Can't con") ++$errorsConnect;
	    elseif($errStr=="File Size") ++$errorsSize;
		 elseif($errStr=="Can't fin") ++$errorsChangeDir;
		 elseif($errStr=="Upload fa") ++$errorsUpload;
		 }
	 
	 fclose($fp);
	 
	 $aff.="</table>";

	 $pctErrorLogin = ceil(($errorsLogin * 100) / $nbErrors);
	 $pctErrorExt =   ceil(($errorsExt * 100) / $nbErrors);
	 $pctErrorConnect = ceil(($errorsConnect * 100) / $nbErrors);
	 $pctErrorSize = ceil(($errorsSize * 100) / $nbErrors);
	 $pctErrorDir = ceil(($errorsChandeDir * 100) / $nbErrors);
	 $pctErrorUpload = ceil(($errorsUpload * 100) / $nbErrors);
	 
	 echo "<br><center><b><font size='4'>".$strStatsErrors."</font></b></center><br>";
	 echo "<b>$nbErrors $strErrors</b><br><br>";
	 echo "<ul><li><b>$errorsLogin</B> $strStatErrorLogin  ($pctErrorLogin %)</li>";
	 echo "<li><b>$errorsExt</b> $strStatErrorExt  ($pctErrorExt %)</li>";
    echo "<li><b>$errorsConnect</b> $strStatErrorConnect  ($pctErrorConnect %)</li>";
    echo "<li><b>$errorsSize</b> $strStatErrorFileSize  ($pctErrorSize %)</li>";
    echo "<li><b>$errorsChangeDir</b> $strStatErrorChDir  ($pctErrorDir %)</li>";
    echo "<li><b>$errorsUpload</b> $strStatErrorUpload  ($pctErrorUpload %)</li></ul>";
    echo "<b>Details</b><br><br>".$aff;
	 echo "<a href='index.php?p=DeleteLogErrors'>";
	 echo "Effacer le fichier log des Erreurs</a>";
} // end func


function SignMTAstats()
{
	global $afficheLogo;
	if($afficheLogo==1) $strLogo = "<img src='../img/powered2.gif' border='0'><br>";
	else $strLogo = "";
	
	echo "<p align='center'><a href='http://matt.phptest.free.fr/php_upload_to_my_ftp/'
   target='_blank'>".$strLogo."<font size='1'>Powered by<br>PHP Upload To my FTP</font></a></p>";
}


function afficheVisitors()
{
    global $strDate;
	 global $strStatsVisitors;
	 global $strVisitors;
	
    if(!file_exists("../logs/visitors.log")){
		 echo "No visitors log (visitors.log)";
		 exit;
	 }

	         $aff="<table width='80%' align='center' class='Tableau' border='0' style='font-size:10pt' bgcolor='#2E3577'>";
	     $aff.= "<tr>";
		  $aff.= "<td width='30%' bgcolor='".$bgcolor."'><b>$strDate</B></td>";
		  $aff.= "<td width='30%' bgcolor='".$bgcolor."'><b>IP</b></td>";
		  $aff.= "<td width='40%' bgcolor='".$bgcolor."'><b>Referer</b></td>";
		  $aff.= "</tr>";

	 $fp = fopen("../logs/visitors.log", "r");
	 
	 $nbVisitors = 0;
   
	 while($arr = fgetcsv($fp, 255, "|")){

         if($nbVisitors%2) $bgcolor="#2E3577"; 
		 else $bgcolor="#535997";

		 $aff.="<tr>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[0]</td>";
		 $aff.="<td width='30%' bgcolor='".$bgcolor."'>$arr[1]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[2]</td>";
		 $aff.="</tr>";

		 ++$nbVisitors;
		 
		  }
	 
	 fclose($fp);
	 
	 $aff.="</table>";

	 echo "<b><font size='+1'>$nbVisitors $strVisitors</font></b><br><br>";
    echo "<b>Details</b><br><br>".$aff;
	 echo "<a href='index.php?p=DeleteLogVisitors'>";
	 echo "Effacer le fichier log des visiteurs</a>";
} // end func


function afficheUploads()
{
    global $strDate;
	 global $strFile;
	 global $strDestDirectory;
	 global $strStatsUploads;

	
	
    if(!file_exists("../logs/uploads.log")){
		 echo "No uploads log (uploads.log)";
		 exit;
	 }

	     $aff="<table width='80%' align='center' class='Tableau' border='0' style='font-size:10pt' bgcolor='#2E3577'>";
	     $aff.= "<tr>";
		  $aff.= "<td width='20%' bgcolor='".$bgcolor."'><b>$strDate</B></td>";
		  $aff.= "<td width='20%' bgcolor='".$bgcolor."'><b>IP</b></td>";
		  $aff.= "<td width='20%' bgcolor='".$bgcolor."'><b>$strFile</B></td>";
		  $aff.= "<td width='20%' bgcolor='".$bgcolor."'><b>Login</b></td>";
		  $aff.= "<td width='20%' bgcolor='".$bgcolor."'><b>$strDestDirectory</b></td>";
		  $aff.= "</tr>";

	 $fp = fopen("../logs/uploads.log", "r");
	 
	 $nbUploads = 0;
   
	 while($arr = fgetcsv($fp, 255, "|")){

       if($nbUploads%2) $bgcolor="#2E3577"; 
		 else $bgcolor="#535997";

		 $aff.="<tr>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[0]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[1]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[2]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[3]</td>";
		 $aff.="<td width='20%' bgcolor='".$bgcolor."'>$arr[4]</td>";
		 $aff.="</tr>";

		 ++$nbUploads;
		 
		  }
	 
	 fclose($fp);
	 
	 $aff.="</table>";

	
	 
	 echo "<br><center><b><font size='4'>".$strStatsUploads."&nbsp;</font></b></center><br>";
	 echo "<b><font size='+1'>$nbUploads uploads</font></b><br><br>";
    echo "<b>Details</b><br><br>".$aff;
	 echo "<a href='index.php?p=DeleteLogUploads'>";
	 echo "Effacer le fichier log des uploads</a>";
} // end func



/**
 * display the stats menu
 *
 */
function DisplayMenuStats()
{
	global $strStatsVisitors;
	global $strStatsUploads;
	global $strStatsErrors;
	global $stats;

	echo "<table class='Tableaux' width='100%' align='center'>";
	echo "<tr><td width='100%' align='center'>";
	if($stats!="visitors") echo "<a href='index.php?p=stats&stats=visitors'>";
	echo $strStatsVisitors;
	if($stats!="visitors") echo "</a>";
	echo "</td></tr>";
	echo "<tr><td width='100%' align='center'>";
	if($stats!="uploads") echo "<a href='index.php?p=stats&stats=uploads'>";
	echo $strStatsUploads;
	if($stats!="uploads") echo "</a>";
	echo "</td></tr>";
	echo "<tr><td width='100%' align='center'>";
	if($stats!="errors") echo "<a href='index.php?p=stats&stats=errors'>";
	echo $strStatsErrors;
	if($stats!="errors") echo "</a>";
	echo "</td></tr>";
	echo "</table>";
    
} // end func


function makeReturnStats()
{
	global $strReturn, $strCloseWindow;
echo "<center><a href='javascript:history.back()'>".$strReturn."</a> | <a href='javascript:window.close()'>".$strCloseWindow."</a></center>";
}
?>